Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GTXabsl2ProfilerNameTableEntry Class Reference

`#include <GTXabsl2ProfilerNameTable.h>`

List of all members.

## Public Member Functions
| GTXabsl2ProfilerNameTableEntry ()
| Constructor Initializes the strings as zero length strings.
| GTXabsl2ProfilerNameTableEntry (const std::string option, std::vector< std::string > state, std::vector< std::string > params, const int depth)
| Constructor.
## Public Attributes
std::string | optionName
| The name of the Option represented by this entry.
std::vector< std::string > | states
| The vector of state names.
std::vector< std::string > | parameters
| A vector of parameter names.
int | maxDepth
| The maximal depth of this option in the option-tree (XABSL).

## Constructor & Destructor Documentation

GTXabsl2ProfilerNameTableEntry::GTXabsl2ProfilerNameTableEntry | ( |  | ) | `[inline]`

| Constructor Initializes the strings as zero length strings. Definition at line 53 of file GTXabsl2ProfilerNameTable.h.

GTXabsl2ProfilerNameTableEntry::GTXabsl2ProfilerNameTableEntry | ( | const std::string | option,
|  | std::vector< std::string > | state,
|  | std::vector< std::string > | params,
|  | const int | depth
| ) | `[inline]`

  | Constructor. Parameters:
  option | The option name
  state | The names of all state within the corresponding option
  params | The names of all parameters for this Option
  depth | The maximal depth of this option in the option tree.
Definition at line 63 of file GTXabsl2ProfilerNameTable.h. References maxDepth, optionName, and states.

## Member Data Documentation

std::string GTXabsl2ProfilerNameTableEntry::optionName

| The name of the Option represented by this entry. Definition at line 41 of file GTXabsl2ProfilerNameTable.h. Referenced by GTXabsl2ProfilerNameTableEntry().

std::vector<std::string> GTXabsl2ProfilerNameTableEntry::states

| The vector of state names. Definition at line 43 of file GTXabsl2ProfilerNameTable.h. Referenced by GTXabsl2ProfilerNameTableEntry().

std::vector<std::string> GTXabsl2ProfilerNameTableEntry::parameters

| A vector of parameter names. Definition at line 45 of file GTXabsl2ProfilerNameTable.h.

int GTXabsl2ProfilerNameTableEntry::maxDepth

| The maximal depth of this option in the option-tree (XABSL). Definition at line 47 of file GTXabsl2ProfilerNameTable.h. Referenced by GTXabsl2ProfilerNameTableEntry().

The documentation for this class was generated from the following file:

- Tools/Xabsl2/GT/GTXabsl2Profiler/GTXabsl2ProfilerNameTable.h